---
title: MIDIMessageEvent
slug: Web/API/MIDIMessageEvent
tags:
  - API
  - Interface
  - MIDI
  - MIDIMessageEvent
  - Reference
  - Web MIDI API
---
<p>{{APIRef("Web MIDI API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>MIDIMessageEvent</code></strong> interface of the <a href="/en-US/docs/Web/API/Web_MIDI_API">Web MIDI API</a> represents the event passed to the {{domxref("MIDIInput.onmidimessage","onmidimessage")}} event handler of the {{domxref("MIDIInput")}} interface. A <code>midimessage</code> event is fired every time a MIDI message is sent from a device represented by a {{domxref("MIDIInput")}}, for example when a MIDI keyboard key is pressed, a knob is tweaked, or a slider is moved.  </p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("MIDIMessageEvent.MIDIMessageEvent")}}</dt>
 <dd>Creates a new <code>MIDIMessageEvent</code> object instance.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("MIDIConnectionEvent.data")}}</dt>
 <dd>A {{jsxref("Uint8Array")}} containing the data bytes of a single MIDI message. See the <a href="https://www.midi.org/specifications-old/item/table-1-summary-of-midi-message">MIDI specification</a> for more information on its form.</dd>
</dl>

<div class="note">
<p><strong>Note</strong>: Even though the <a href="https://www.w3.org/TR/webmidi/#midimessageevent-interface">Web MIDI API</a> specifies a <code>receivedTime</code> property that returns a {{domxref("DOMHighResTimeStamp")}}, Chrome (the only implementation at the time of writing) does not support that property since the basic {{domxref("Event.timeStamp")}} property already returns a {{domxref("DOMHighResTimeStamp")}} in Chrome.</p>
</div>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">// Printing all messages to console
navigator.requestMIDIAccess().then(midiAccess =&gt; {
  Array.from(midiAccess.inputs).forEach(input =&gt; {
    input[1].onmidimessage = (msg) =&gt; { console.log(msg); }
  })
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebMIDI API','#midimessageevent-interface', 'MIDIMessageEvent')}}</td>
   <td>{{Spec2('WebMIDI API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.MIDIMessageEvent")}}</p>
